/*  
 *  LPT Manager
 *  Copyright (C) 2002  Giovanni Pardini
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef MAINWND_CB_H
#define MAINWND_CB_H

#include <gtk/gtk.h>


void
on_mainWnd_destroy                     (GtkObject       *object,
                                        gpointer         user_data);

void
on_quitMnu_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_AboutMnu_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_show_led_Mnu_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_show_registry_Mnu_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferencesMnu_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_QuitBtn_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_AboutBtn_clicked                    (GtkButton       *button,
                                        gpointer         user_data);
void
on_monitoringTBtn_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ModifyTBtn_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_DataPortValueSBtn_value_changed     (GtkSpinButton   *spinbutton,
                                        gpointer         user_data);

void
on_ControlPortValueSBtn_value_changed  (GtkSpinButton   *spinbutton,
                                        gpointer         user_data);

void
on_buttonP9_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP8_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP7_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP6_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP5_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP4_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP3_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP2_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonE_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP17_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP16_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP14_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonP1_clicked                    (GtkButton       *button,
                                        gpointer         user_data);


#endif /* Not MAINWND_CB_H */
