/*  
 *  LPT Manager
 *  Copyright (C) 2002  Giovanni Pardini
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef LPTMANAGER_H
#define LPTMANAGER_H


/* define the complete program name */
#define PROGRAM_NAME			"LPT Manager"


#define REGISTRY_KEY			"Software\\" PROGRAM_NAME "\\" VERSION
#define CONFIGURATION_FILE		"." PACKAGE
#define AUTHOR					"Giovanni Pardini"
#define EMAIL					"gpardini@users.sourceforge.net"
#define WEB						"http://lptman.sourceforge.net"
#define COPYRIGHT_YEAR			"2002, 2003, 2004"
#define COPYRIGHT				"Copyright (C) " COPYRIGHT_YEAR " " AUTHOR

#endif /* Not LPTMANAGER_H */
